summaryrefslogtreecommitdiff
path: root/dev-lua/luasec
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /dev-lua/luasec
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'dev-lua/luasec')
-rw-r--r--dev-lua/luasec/Manifest2
-rw-r--r--dev-lua/luasec/luasec-1.3.1.ebuild87
-rw-r--r--dev-lua/luasec/luasec-1.3.2.ebuild87
-rw-r--r--dev-lua/luasec/metadata.xml21
4 files changed, 197 insertions, 0 deletions
diff --git a/dev-lua/luasec/Manifest b/dev-lua/luasec/Manifest
new file mode 100644
index 000000000000..883b5184a40e
--- /dev/null
+++ b/dev-lua/luasec/Manifest
@@ -0,0 +1,2 @@
+DIST luasec-1.3.1.tar.gz 54807 BLAKE2B e09d340b8bc391830d671dd5cbec76bd5190bebdd2e534800bea8efd19749a4379e2681bb7a6e6551da49109345f0b846904c222c0ecada6135d775e2060bfc7 SHA512 cfa4187518445abc6591bd0c24924122b62252be25ffd5564cf291f9a2ae3702a5fa299ffd265d2e0e8315b90d6783eccace4ff560f54f299161d3c5e3749508
+DIST luasec-1.3.2.tar.gz 54925 BLAKE2B d86a241c22083dc0ed201d83392e694fbefed207feafd758d7ba1235ea209b4dc66301abca4bd113f7074c88d5193fd9a28cbcbba4bed2f96fa669d799e1a38f SHA512 8f0c4b5ff87c024685b23770e1d342467554b8dc19a1704076e184d9e84b966f171091c31d1da135ab009e850275adc2bf2720fc9f32c83ac23f0a42f13d311f
diff --git a/dev-lua/luasec/luasec-1.3.1.ebuild b/dev-lua/luasec/luasec-1.3.1.ebuild
new file mode 100644
index 000000000000..b5cfba42adf1
--- /dev/null
+++ b/dev-lua/luasec/luasec-1.3.1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2021-2023 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+LUA_COMPAT=( lua5-{1,3,4} luajit )
+LUA_REQ_USE="deprecated(+)"
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="Lua binding for OpenSSL library to provide TLS/SSL communication"
+HOMEPAGE="https://github.com/brunoos/luasec"
+SRC_URI="https://github.com/brunoos/luasec/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RDEPEND="
+ dev-lua/luasocket[${LUA_USEDEP}]
+
+ dev-libs/openssl:0=
+ ${LUA_DEPS}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+lua_src_prepare() {
+ pushd "${BUILD_DIR}" || die
+
+ ${ELUA} src/options.lua -g /usr/include/openssl/ssl.h > src/options.c || die
+
+ popd
+}
+
+src_prepare() {
+ default
+
+ # Respect users CFLAGS
+ sed -e 's/-O2//g' -i src/Makefile || die
+
+ lua_copy_sources
+
+ lua_foreach_impl lua_src_prepare
+}
+
+lua_src_compile() {
+ pushd "${BUILD_DIR}" || die
+
+ local myemakeargs=(
+ "CC=$(tc-getCC)"
+ "LD=$(tc-getCC)"
+ "INC_PATH=-I$(lua_get_include_dir)"
+ "LIB_PATH=$(lua_get_CFLAGS)"
+ "MYCFLAGS=${CFLAGS}"
+ "MYLDFLAGS=${LDFLAGS}"
+ )
+
+ emake "${myemakeargs[@]}" linux
+
+ popd
+}
+
+src_compile() {
+ lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+ pushd "${BUILD_DIR}" || die
+
+ local emakeargs=(
+ "DESTDIR=${ED}"
+ "LUAPATH=$(lua_get_lmod_dir)"
+ "LUACPATH=$(lua_get_cmod_dir)"
+ )
+
+ emake "${emakeargs[@]}" install
+
+ popd
+}
+
+src_install() {
+ lua_foreach_impl lua_src_install
+
+ einstalldocs
+}
diff --git a/dev-lua/luasec/luasec-1.3.2.ebuild b/dev-lua/luasec/luasec-1.3.2.ebuild
new file mode 100644
index 000000000000..b5cfba42adf1
--- /dev/null
+++ b/dev-lua/luasec/luasec-1.3.2.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2021-2023 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+LUA_COMPAT=( lua5-{1,3,4} luajit )
+LUA_REQ_USE="deprecated(+)"
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="Lua binding for OpenSSL library to provide TLS/SSL communication"
+HOMEPAGE="https://github.com/brunoos/luasec"
+SRC_URI="https://github.com/brunoos/luasec/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RDEPEND="
+ dev-lua/luasocket[${LUA_USEDEP}]
+
+ dev-libs/openssl:0=
+ ${LUA_DEPS}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+lua_src_prepare() {
+ pushd "${BUILD_DIR}" || die
+
+ ${ELUA} src/options.lua -g /usr/include/openssl/ssl.h > src/options.c || die
+
+ popd
+}
+
+src_prepare() {
+ default
+
+ # Respect users CFLAGS
+ sed -e 's/-O2//g' -i src/Makefile || die
+
+ lua_copy_sources
+
+ lua_foreach_impl lua_src_prepare
+}
+
+lua_src_compile() {
+ pushd "${BUILD_DIR}" || die
+
+ local myemakeargs=(
+ "CC=$(tc-getCC)"
+ "LD=$(tc-getCC)"
+ "INC_PATH=-I$(lua_get_include_dir)"
+ "LIB_PATH=$(lua_get_CFLAGS)"
+ "MYCFLAGS=${CFLAGS}"
+ "MYLDFLAGS=${LDFLAGS}"
+ )
+
+ emake "${myemakeargs[@]}" linux
+
+ popd
+}
+
+src_compile() {
+ lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+ pushd "${BUILD_DIR}" || die
+
+ local emakeargs=(
+ "DESTDIR=${ED}"
+ "LUAPATH=$(lua_get_lmod_dir)"
+ "LUACPATH=$(lua_get_cmod_dir)"
+ )
+
+ emake "${emakeargs[@]}" install
+
+ popd
+}
+
+src_install() {
+ lua_foreach_impl lua_src_install
+
+ einstalldocs
+}
diff --git a/dev-lua/luasec/metadata.xml b/dev-lua/luasec/metadata.xml
new file mode 100644
index 000000000000..1614c1ad8c2b
--- /dev/null
+++ b/dev-lua/luasec/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>dev@liguros.net</email>
+ <name>Development</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>azamat.hackimov@gmail.com</email>
+ <name>Azamat H. Hackimov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>conikost@gentoo.org</email>
+ <name>Conrad Kostecki</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>